package yem.wmc.ydn.formplugin.dynamic;

/**
 * @author lipan
 * @date 2024/4/26 17:17
 * @className Viewshipping
 * @description
 */
public class Viewshipping {
    private String contractnumber;
    private String custorsup;
    private String shipmentarrival;
    private String blno;
    private String shipname;
    private String dataupdatetime;
    private String pol;
    private String dtp;
    private String poldate;
    private String dtpdate;
    private String mmsi;

    public Viewshipping() {
    }

    public Viewshipping(String contractnumber, String custorsup, String shipmentarrival, String blno, String shipname, String dataupdatetime, String pol, String dtp, String poldate, String dtpdate, String MMSI) {
        this.contractnumber = contractnumber;
        this.custorsup = custorsup;
        this.shipmentarrival = shipmentarrival;
        this.blno = blno;
        this.shipname = shipname;
        this.dataupdatetime = dataupdatetime;
        this.pol = pol;
        this.dtp = dtp;
        this.poldate = poldate;
        this.dtpdate = dtpdate;
        this.mmsi = MMSI;
    }

    public String getMMSI() {
        return mmsi;
    }

    public void setMMSI(String MMSI) {
        this.mmsi = MMSI;
    }


    public String getcontractnumber() {
        return contractnumber;
    }

    public void setcontractnumber(String contractnumber) {
        this.contractnumber = contractnumber;
    }

    public String getcustorsup() {
        return custorsup;
    }

    public void setcustorsup(String custorsup) {
        this.custorsup = custorsup;
    }

    public String getshipmentarrival() {
        return shipmentarrival;
    }

    public void setshipmentarrival(String shipmentarrival) {
        this.shipmentarrival = shipmentarrival;
    }

    public String getblno() {
        return blno;
    }

    public void setblno(String blno) {
        this.blno = blno;
    }

    public String getshipname() {
        return shipname;
    }

    public void setshipname(String shipname) {
        this.shipname = shipname;
    }

    public String getdataupdatetime() {
        return dataupdatetime;
    }

    public void setdataupdatetime(String dataupdatetime) {
        this.dataupdatetime = dataupdatetime;
    }

    public String getpol() {
        return pol;
    }

    public void setpol(String pol) {
        this.pol = pol;
    }

    public String getdtp() {
        return dtp;
    }

    public void setdtp(String dtp) {
        this.dtp = dtp;
    }

    public String getpoldate() {
        return poldate;
    }

    public void setpoldate(String poldate) {
        this.poldate = poldate;
    }

    public String getdtpdate() {
        return dtpdate;
    }

    public void setdtpdate(String dtpdate) {
        this.dtpdate = dtpdate;
    }
}
